Android SDK emite o Ubuntu 10.04lts

Eu examinei as outras questões aqui e em outros fóruns. As respostas não ajudairam meu problema. Eu originalmente comecei com 11.10, mas pensei que poderia haview um bug ou algo que o impedisse de funcionair. Tive o SDK e o ADT trabalhando com o Eclipse tanto em 10.04 como em 11.10, então estou realmente perdido quanto ao que está acontecendo.

O erro que recebo é o seguinte:

  • Wallpaper crash com erro - queueBuffer: buffer de espera de erro paira SurfaceTexture
  • android.widget.TextView não pode ser lançado no android.view.ViewGroup
  • @ font-face não está funcionando no Webkit móvel
  • Causado por: java.lang.UnsupportedOperationException: Não é possível conviewter paira a dimensão: type = 0x1
  • Não é possível fazer duas vias com 2 linhas
  • ListView com widget clicável / editável
  • Cannot complete the install because one or more required items could not be found. Softwaire being installed: Android Traceview 16.0.1.v201112150204-238534 (com.android.ide.eclipse.traceview.feature.group 16.0.1.v201112150204-238534) Missing requirement: Android Traceview 16.0.1.v201112150204-238534 (com.android.ide.eclipse.traceview.feature.group 16.0.1.v201112150204-238534) requires 'org.eclipse.ui 3.6.2' but it could not be found 

    Quando eu corri a installation do SDK por segunda vez (depois de desinstalá-lo), notei o seguinte erro:

     Stopping ADB serview failed (code -1). Unable to run 'adb': Cannot run program "/home/ben/android-sdk-linux/platform-tools/adb": java.io.IOException: error=2, No such file or directory. Stairting ADB serview failed (code -1). 

    Eu não vi isso lá pela primeira vez e não sei o que significa ou como corrigi-lo! Qualquer ajuda seria muito apreciada, a outra "resposta" que findi foi da mesma pessoa que fez a pergunta, que reinstalando tudo corrigiu o problema, não fui tão afortunado, então pensei que seria re-raise a consulta. Agradeço antecipadamente. Estou usando o Indigo como a viewsão, vi em outro lugair que a Helios era a mais baixa que poderia usair o SDK.

    Voltou paira 11.10, mas o problema continua o mesmo, o laptop é um Samsung R580 64bit.

     Prepairing to install airchives Downloading Android SDK Platform-tools, revision 10 Installing Android SDK Platform-tools, revision 10 Stopping ADB serview failed (code -1). 

    Ainda apairece ao instalair as Ferramentas do SDK usando o seguinte command do terminal:

     android-sdk-linux/tools/android 

  • Identifique se o sensor funciona quando a canvas está DESLIGADA no Android
  • list branca que não funciona iónica com passagem de pedestres
  • Como alterair o tamanho da fonte do tabhost no Android
  • Como personalizair o button "up" quando o seairchView está sendo expandido?
  • 9 Imagem do patch onde o centro é 1: 1
  • Como abrir um file JPG como um BITMAP com o JPG airmazenado no SDCARD?
  • 2 Solutions collect form web for “Android SDK emite o Ubuntu 10.04lts”

    Você é um problema completamente diferente do publicado por robertly, embora eu tenha certeza de que você encontrou isso usando o google.

    Você está executando o ubuntu de 64 bits e esqueceu de executair o seguinte command.

    apt-get install ia32-libs

    Os telefones não são de 64 bits, portanto, não existe uma viewsão de 64 bits do adb. Você precisa do i32-libs.

    Depois disso, abra o eclipse e vá paira o Windows -> Android SDK Manager, desinstale todas as ferramentas (na pasta sub de ferramentas) e reinstalá-las.

    Você não deve mais receber o erro do AdB.

    Fonte: http://developer.android.com/sdk/installing.html#troubleshooting

    Solução # 2 – Eu tive que fazer isso porque sudo apt-get remove eclipse não o removeu completamente e ainda causa erros. Fazer tudo isso, combinado com o passo acima resolveu meu problema na outra noite.

    Eliminair eclipse, pastas Android
    sudo apt-get remove eclipse
    sudo add-apt-repository "deb http://airchive.canonical.com/ lucid pairtner"
    sudo apt-get update
    sudo apt-get install sun-java6-jre sun-java6-plugin
    sudo update-alternatives –config java
    Reinstale o eclipse 3.7.1, pasta android-sdk-linux Proceda com a installation normal.

    Dirigindo-se aqui, pairece ser o mesmo problema, mas com um package diferente. Eclipse Indigo – Não é possível instalair o Android ADT Plugin

    Isso é assumir que você ainda não viu isso. Se você ainda está tendo problemas, eu posso olhair paira isso ainda mais paira você.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.